Bug 1734126 - With FIPS enabled python2 able to load non-compliant md5 crypto modules
Summary: With FIPS enabled python2 able to load non-compliant md5 crypto modules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: python27-2.7-module
Version: 8.1
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: 8.0
Assignee: Python Maintainers
QA Contact: Lukáš Zachar
URL:
Whiteboard:
: 1742223 (view as bug list)
Depends On: 1486212 1724745 1731424
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 16:43 UTC by Honza Horak
Modified: 2019-11-05 20:44 UTC (History)
9 users (show)

Fixed In Version: python27-2.7-8010020190903182548.51c94b97 python2-2.7.16-12.module+el8.1.0+4148+33a50073
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1724745
Environment:
Last Closed: 2019-11-05 20:44:11 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3335 None None None 2019-11-05 20:44:31 UTC

Comment 2 Petr Viktorin 2019-08-27 13:22:48 UTC
As (finally) agreed in the Python 3 patch, we want to keep the usedforsecurity flags.

We need to port the RHEL 7 FIPS patch to RHEL 8.

Comment 10 Charalampos Stratakis 2019-09-04 18:57:26 UTC
*** Bug 1742223 has been marked as a duplicate of this bug. ***

Comment 13 errata-xmlrpc 2019-11-05 20:44:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3335


Note You need to log in before you can comment on or make changes to this bug.